#
# ~/.bashrc
#

# If not running interactively, don't do anything
[[ $- != *i* ]] && return

alias mkdir="mkdir -p"
alias cp="cp -r"
alias rm="rm -rf"
alias ls="ls -a --color"
alias bat="bat -f"
alias grep="grep --color=auto"
alias shutdown="shutdown now"
alias l="ls"
alias nvim="hx"
alias vim="hx"
alias vi="hx"
alias nano="hx"

alias q="hyprland"
alias reload="source ~/.bashrc"
alias update="paru -Syu --noconfirm && flatpak update --noninteractive"
alias paru="paru --bottomup --assume-installed ttf-font"
alias lah='ls -lah'
alias fd='fd -H'

clear
tfetch

PS1='\n[ \e[35;1m\u \e[34m\w\e[0m ]\n\e[1m\$ \e[0m'
complete -cf sudo

export GDK_SCALE=1
export EDITOR=helix
export VISUAL=helix
export INPUTRC=~/.inputrc

eval "$(starship init bash)"
eval "$(fzf --bash)"
eval "$(zoxide init --cmd cd bash)"

bind 'set mark-symlinked-directories on'

